#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	Abstract
Summary:	Unified interface to mail representations
Summary(pl.UTF-8):	Zunifikiowany interfejs do reprezentacji listów
Name:		perl-Email-Abstract
Version:	3.008
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	dbfc069ffb5f8c96989bf62f0df5d756
URL:		http://search.cpan.org/dist/Email-Abstract/
BuildRequires:	perl-Email-Simple >= 1:1.91
BuildRequires:	perl-Module-Pluggable >= 1.5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Email::Abstract provides module writers with the ability to write
representation-independent mail handling code. For instance, in the
cases of Mail::Thread or Mail::ListDetector, a key part of the code
involves reading the headers from a mail object. Where previously one
would either have to specify the mail class required, or to build a
new object from scratch, Email::Abstract can be used to perform
certain simple operations on an object regardless of its underlying
representation.

Email::Abstract currently supports Mail::Internet, MIME::Entity,
Mail::Message, Email::Simple and Email::MIME. Other representations
are encouraged to create their own Email::Abstract::* class by copying
Email::Abstract::EmailSimple. All modules installed under the
Email::Abstract hierarchy will be automatically picked up and used.

%description -l pl.UTF-8
Email::Abstract dostarcza piszącym moduły możliwość pisania kodu
obsługującego listy elektroniczne niezależnie od reprezentacji. Na
przykład w przypadku Mail::Thread lub Mail::ListDetector znacząca
część kodu dotyczy czytania nagłówków z obiektu listu. Tam, gdzie
poprzednio trzeba było podać wymaganą nazwę klasy lub zbudować nowy
obiekt od początku, można użyć Email::Abstract do wykonania pewnych
prostych operacji na obiekcie niezależnie od jego reprezentacji.

Email::Abstract aktualnie obsługuje Mail::Internet, MIME::Entity,
Mail::Message, Email::Simple oraz Email::MIME. Dla innych
reprezentacji zaleca się stworzyć własną klasę Email::Abstract::*
poprzez skopiowanie Email::Abstract::EmailSimple. Wszystkie moduły
zainstalowane w hierarchii Email::Abstract są automatycznie używane.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Email/Abstract.pm
%{perl_vendorlib}/Email/Abstract
%{_mandir}/man3/*
%changelog
* Thu Dec 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Email-Abstract.git;a=log;h=master

* Sat Oct 10 2015 Szymon Siwek <sls@pld-linux.org> cf5ffb5
- ver. 3.008

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 10237bc
- up to 3.004

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> cd01b73
- updated to 3.001

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 840c9ed
- release 2

* Sun May 11 2008 hawk <hawk@pld-linux.org> f6d335a
- updated to 2.134

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 07885cd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9970469
- converted to UTF-8

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> 432c725
- rel 1, generic url

* Thu Aug 10 2006 Maciej Pijanka <agaran@pld-linux.org> e4141c5
- up to 2.13, rel 0.1, builds here

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> ff3a13d
- adapterized (killed trailing spaces/tabs)

* Thu Dec 09 2004 radek <radek@pld-linux.org> 5e22dad
- added epoch to BR: perl-Email-Simple >= version

* Fri Nov 05 2004 paladine <paladine@pld-linux.org> 48f8922
- updated to 2.01

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 494165e
- formatting

* Sat Sep 18 2004 radek <radek@pld-linux.org> faa8e66
- version 2.0

* Sat Jun 05 2004 radek <radek@pld-linux.org> e43b85a
- massive: unfold macros in name/summary & other unifications

* Sun May 30 2004 Jakub Bogusz <qboosh@pld-linux.org> b732c73
- pl desc

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> d977f7d
- BuildRequires: perl-Email-Simple, perl-Module-Pluggable
- added ToDo
- cleanups

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 5e47a3f
- new

